## gimpselectiontools gimpselectiontools — Access to toolbox selection tools. |

## Functions

gboolean | gimp_by_color_select ()
gboolean | gimp_by_color_select_full ()
gboolean | gimp_ellipse_select ()
gboolean | gimp_free_select ()
gboolean | gimp_fuzzy_select ()
gboolean | gimp_fuzzy_select_full ()
gboolean | gimp_rect_select ()
gboolean | gimp_round_rect_select ()

## Description

Functions giving access to toolbox selection tools.

## Functions

### gimp_by_color_select ()

    gboolean
    gimp_by_color_select (gint32 drawable_ID,
                          const GimpRGB *color,
                          gint threshold,
                          GimpChannelOps operation,
                          gboolean antialias,
                          gboolean feather,
                          gdouble feather_radius,
                          gboolean sample_merged);

`gimp_by_color_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_color()` instead.

#### Parameters

drawable_ID | The affected drawable. |
color | The color to select. |
threshold | Threshold in intensity levels. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius | Radius for feather operation. |
sample_merged | Use the composite image, not the drawable. |

#### Returns

TRUE on success.

### gimp_by_color_select_full ()

    gboolean
    gimp_by_color_select_full (gint32 drawable_ID,
                               const GimpRGB *color,
                               gint threshold,
                               GimpChannelOps operation,
                               gboolean antialias,
                               gboolean feather,
                               gdouble feather_radius_x,
                               gdouble feather_radius_y,
                               gboolean sample_merged,
                               gboolean select_transparent,
                               GimpSelectCriterion select_criterion);

`gimp_by_color_select_full` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_color()` instead.

#### Parameters

drawable_ID | The affected drawable. |
color | The color to select. |
threshold | Threshold in intensity levels. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius_x | Radius for feather operation in X direction. |
feather_radius_y | Radius for feather operation in Y direction. |
sample_merged | Use the composite image, not the drawable. |
select_transparent | Whether to consider transparent pixels for selection. If TRUE, transparency is considered as a unique selectable color. |
select_criterion | The criterion used to determine color similarity. SELECT_CRITERION_COMPOSITE is the standard choice. |

#### Returns

TRUE on success.

Since GIMP 2.4

### gimp_ellipse_select ()

    gboolean
    gimp_ellipse_select (gint32 image_ID,
                         gdouble x,
                         gdouble y,
                         gdouble width,
                         gdouble height,
                         GimpChannelOps operation,
                         gboolean antialias,
                         gboolean feather,
                         gdouble feather_radius);

`gimp_ellipse_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_ellipse()` instead.

#### Parameters

image_ID | The image. |
x | x coordinate of upper-left corner of ellipse bounding box. |
y | y coordinate of upper-left corner of ellipse bounding box. |
width | The width of the ellipse. |
height | The height of the ellipse. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius | Radius for feather operation. |

#### Returns

TRUE on success.

### gimp_free_select ()

    gboolean
    gimp_free_select (gint32 image_ID,
                      gint num_segs,
                      const gdouble *segs,
                      GimpChannelOps operation,
                      gboolean antialias,
                      gboolean feather,
                      gdouble feather_radius);

`gimp_free_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_polygon()` instead.

#### Parameters

image_ID | The image. |
num_segs | Number of points (count 1 coordinate as two points). |
segs | Array of points: { p1.x, p1.y, p2.x, p2.y, ..., pn.x, pn.y}. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius | Radius for feather operation. |

#### Returns

TRUE on success.

### gimp_fuzzy_select ()

    gboolean
    gimp_fuzzy_select (gint32 drawable_ID,
                       gdouble x,
                       gdouble y,
                       gint threshold,
                       GimpChannelOps operation,
                       gboolean antialias,
                       gboolean feather,
                       gdouble feather_radius,
                       gboolean sample_merged);

`gimp_fuzzy_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_contiguous_color()` instead.

#### Parameters

drawable_ID | The affected drawable. |
x | x coordinate of initial seed fill point: (image coordinates). |
y | y coordinate of initial seed fill point: (image coordinates). |
threshold | Threshold in intensity levels. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius | Radius for feather operation. |
sample_merged | Use the composite image, not the drawable. |

#### Returns

TRUE on success.

### gimp_fuzzy_select_full ()

    gboolean
    gimp_fuzzy_select_full (gint32 drawable_ID,
                            gdouble x,
                            gdouble y,
                            gint threshold,
                            GimpChannelOps operation,
                            gboolean antialias,
                            gboolean feather,
                            gdouble feather_radius_x,
                            gdouble feather_radius_y,
                            gboolean sample_merged,
                            gboolean select_transparent,
                            GimpSelectCriterion select_criterion);

`gimp_fuzzy_select_full` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_contiguous_color()` instead.

#### Parameters

drawable_ID | The affected drawable. |
x | x coordinate of initial seed fill point: (image coordinates). |
y | y coordinate of initial seed fill point: (image coordinates). |
threshold | Threshold in intensity levels. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius_x | Radius for feather operation in X direction. |
feather_radius_y | Radius for feather operation in Y direction. |
sample_merged | Use the composite image, not the drawable. |
select_transparent | Whether to consider transparent pixels for selection. If TRUE, transparency is considered as a unique selectable color. |
select_criterion | The criterion used to determine color similarity. SELECT_CRITERION_COMPOSITE is the standard choice. |

#### Returns

TRUE on success.

Since GIMP 2.4

### gimp_rect_select ()

    gboolean
    gimp_rect_select (gint32 image_ID,
                      gdouble x,
                      gdouble y,
                      gdouble width,
                      gdouble height,
                      GimpChannelOps operation,
                      gboolean feather,
                      gdouble feather_radius);

`gimp_rect_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_rectangle()` instead.

#### Parameters

image_ID | The image. |
x | x coordinate of upper-left corner of rectangle. |
y | y coordinate of upper-left corner of rectangle. |
width | The width of the rectangle. |
height | The height of the rectangle. |
operation | The selection operation. |
feather | Feather option for selections. |
feather_radius | Radius for feather operation. |

#### Returns

TRUE on success.

### gimp_round_rect_select ()

    gboolean
    gimp_round_rect_select (gint32 image_ID,
                            gdouble x,
                            gdouble y,
                            gdouble width,
                            gdouble height,
                            gdouble corner_radius_x,
                            gdouble corner_radius_y,
                            GimpChannelOps operation,
                            gboolean antialias,
                            gboolean feather,
                            gdouble feather_radius_x,
                            gdouble feather_radius_y);

`gimp_round_rect_select` is deprecated and should not be used in newly-written code.

Use `gimp_image_select_round_rectangle()` instead.

#### Parameters

image_ID | The image. |
x | x coordinate of upper-left corner of rectangle. |
y | y coordinate of upper-left corner of rectangle. |
width | The width of the rectangle. |
height | The height of the rectangle. |
corner_radius_x | The corner radius in X direction. |
corner_radius_y | The corner radius in Y direction. |
operation | The selection operation. |
antialias | Antialiasing. |
feather | Feather option for selections. |
feather_radius_x | Radius for feather operation in X direction. |
feather_radius_y | Radius for feather operation in Y direction. |

#### Returns

TRUE on success.

Since GIMP 2.4

## Types and Values